Subject: Re: Patch for reliable rcs on win95
From: [email-masked] ("Mikey")

19 Mar 1997 13:35:36 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: "Sergey Okhapkin" <[email-masked]>
Original-Cc: "cygnus" <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

All of my filesystems are mounted as binary, as I mentioned in my orig
post.

This has nothing to do with CR/LF. it's just the way win95 works, (at least
for Ron and I). I do have a funky Neptune motherboard, but linux dosen't
exibit this behaviour, or maybe linux is smart enough to handle it.

also I tested rcs (only one of the files that was giving me problems) under
DOS 6.22 djgpp, and it seemed to work fine, so I can only conclude that
it's 95's problem.

----------
> From: Sergey Okhapkin <[email-masked]>
> To: Jim Balter <[email-masked]>; 'Mikey' <[email-masked]>
> Cc: cygnus <[email-masked]>
> Subject: RE: Patch for reliable rcs on win95
> Date: Wednesday, March 19, 1997 12:14 AM
> 
> Mikey wrote:
> > when you read through the strace.log file, you should see something
like
> > 
> > read (3, 0x4683004, 1024)
> > 1024=read(3, 0x4683004, 1024)
> > write (4, 0x4683004, 1024)
> > 1024 = write(4, 0x4683004, 1024)
> > read (3, 0x4683004, 1024)
> > 921 = read(3, 0x4683004, 1024)  << short read
> > write (4, 0x4683004, 1024)  << ignored
> > 
> > This will give you a truncated RCS/filename,v
> 
> You can avoid this problems if You will open this files in binary mode,
or remount all your directories as binary.
> 
> -- 
> Sergey Okhapkin
> Moscow, Russia
> Looking for a job.
> 
> 
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".